<!DOCTYPE html>
<html lang="fr">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>NESTER</title>
    <link rel="stylesheet" href="NESTER.css">
</head>
<body>
<header>
    <nav>
        <div class="dropdown-toggle" id="dropdownToggle">
            <div class="bar"></div>
            <div class="bar"></div>
            <div class="bar"></div>
        </div>
        <ul class="dropdown-content" id="dropdownContent">
            <li><a href="#">Accueil</a></li>
            <li><a id="downloadLink" href="#">Download</a></li>
        </ul>
    </nav>
    <h1>NESTER</h1>
</header>
<div class="refresh-container">
    <button id="refreshButton">Rafraîchir</button>
</div>
<h1 class="titre_harvester">Harvester</h1>
<main>
    <div class="content">
        <div class="text-content">
            <!-- Vous pouvez ajouter votre texte ou d'autres éléments ici -->
            <p>Insérez votre contenu ici. Ce contenu sera sur le côté gauche de la page.</p>
        </div>
        <div class="text-area">
            <!-- Ajoutez un div pour afficher les données récupérées -->
            <div id="dataDisplay"></div>
        </div>
    </div>
</main>


<script>
    // Récupère l'élément du menu déroulant
    var dropdownToggle = document.getElementById('dropdownToggle');
    var dropdownContent = document.getElementById('dropdownContent');

    // Ajoute un écouteur d'événements pour le survol du menu déroulant
    dropdownToggle.addEventListener('mouseover', function() {
        // Ajoute une classe pour afficher le menu déroulant
        dropdownContent.classList.add('show');
    });

    // Ajoute un écouteur d'événements pour détecter lorsque la souris quitte le menu déroulant
    dropdownContent.addEventListener('mouseleave', function() {
        // Retire la classe pour masquer le menu déroulant
        dropdownContent.classList.remove('show');
    });

    // Fonction pour récupérer les données depuis l'API Flask
    async function fetchData() {
        try {
            const response = await fetch('http://127.0.0.1:5000/data');
            const data = await response.json();
            const dataDisplay = document.getElementById('dataDisplay');
            dataDisplay.innerHTML = ''; // Clear previous data

            data.forEach(item => {
                const div = document.createElement('div');
                div.textContent = `Valeur: ${item.valeur}, IP: ${item.ip}`;
                dataDisplay.appendChild(div);
            });
        } catch (error) {
            console.error('Error fetching data:', error);
        }
    }

    // Ajouter un écouteur d'événements au bouton "Rafraîchir"
    document.getElementById('refreshButton').addEventListener('click', fetchData);

    // Récupérer les données lorsque la page se charge pour la première fois
    window.onload = fetchData;
</script>
</body>
</html>
